<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout2}"
>
<head>
    <meta charset="UTF-8" />
    <title>Estimasi Pendapatan Terkait Detail</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Estimasi Pendapatan Terkait Detail
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/finance/estimasi_pendapatan_terkait/detail/baru(id=${estimasiPendapatanTerkait.getId()})}"
                                role="button"
                        >Klik disini</a
                        >
                        jika anda ingin mendaftarkan karyawan baru.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <p th:text="${'Estimasi Pendapatan Terkait : ' + estimasiPendapatanTerkait.getKeterangan()}"></p>
                    <p th:text="${'Company : ' + estimasiPendapatanTerkait.getInstansi().getNama()}"></p>
                    <p th:text="${'Period : ' + estimasiPendapatanTerkait.getPeriodeAnggaran().getNamaPeriodeAnggaran()}"></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
<!--                    Show <span sd:page-size-selector="javascript"></span>-->
                </div>

                <form method="get">
                    <div class="col-md-6" align="right">

                    </div>
                    <div class="col-md-3" align="right">
                        <input
                                class="form-control me-2"
                                type="text"
                                placeholder="Search"
                                name="search"
                                th:value="${search}"
                                aria-label="Search"
                        />

                    </div>
                    <div class="col-md-1" align="right">
                        <button class="btn btn-primary" type="submit">Search</button>
                    </div>
                </form>
            </div>
            <br />
        </form>

        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <!-- ... bagian HTML lainnya ... -->

                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg: #15408d">
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col">Date</th>
                            <th scope="col">Keterangan</th>
                            <th scope="col">Satuan</th>
                            <th scope="col">Nominal Satuan</th>
                            <th scope="col">Nominal Total</th>
                            <th scope="col">Status</th>
                            <th scope="col">Options</th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="data, row : ${estimasiPendapatanTerkaitDetail}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${data.getTanggalEstimasi()}">-</td>
                            <td th:text="${data.keterangan}">-</td>
                            <td th:text="${data.satuan}">-</td>
                            <td th:text="${data.nominalSatuan}">-</td>
                            <td th:text="${data.nominalTotal}">-</td>
                            <td th:text="${data.status}">-</td>
                            <td class="text-center">
                                <a
                                        title="edit"
                                        th:href="@{/finance/estimasi_pendapatan_terkait/detail/edit(id = ${data.getId()})}"
                                        class="btn btn-sm btn-success"
                                >
                                    <i class="fa fa-edit"></i>
                                </a>

                                <a
                                        title="edit"
                                        th:href="@{/finance/estimasi_pendapatan_terkait/detail/delete(id = ${data.getId()})}"
                                        class="btn btn-sm btn-danger"
                                >
                                    <i class="fa fa-trash"></i>
                                </a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br />

<!--                <nav aria-label="Page navigation example">-->
<!--                    <ul class="pagination" sd:pagination="full"></ul>-->
<!--                </nav>-->
            </div>
        </div>
    </main>
</main>
</body>
</html>